using Demo.Data.Repository;
using Demo.Domain.UseCase;

public static class ServiceExtencions
{
    public static void ConfigurateGroup(this IServiceCollection services)
    {
        services.AddScoped<IGroupRepository, SQLGroupRepositoryImpl>()
                .AddScoped<IUserRepository, SQLUserRepositoryImpl>()
                .AddScoped<IPresenceRepository, SQLPresenceRepositoryImpl>()
                .AddScoped<GroupUseCase>()
                .AddScoped<UserUseCase>()
                .AddScoped<PresenceUseCase>();
    }
}